<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatts__db__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatts_db_info_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_db.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatts__db__info__t_1ac054092b0539a1f49b6f606ff0b22c58" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__gatts__db__t">cy_stc_ble_gatts_db_t</ref> *</type>
        <definition>const cy_stc_ble_gatts_db_t* cy_stc_ble_gatts_db_info_t::gattDbPtr</definition>
        <argsstring />
        <name>gattDbPtr</name>
        <briefdescription>
<para>Pointer to GATT DB. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="297" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="297" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__db__info__t_1a0e34293f517076794775d18a7391d64b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatts_db_info_t::gattDbTotalEntries</definition>
        <argsstring />
        <name>gattDbTotalEntries</name>
        <briefdescription>
<para>Total number of entries in GATT DB. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="300" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="300" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__db__info__t_1afed59aad4af8a805dd24364b5096e82b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gatts_db_info_t::gattDbMaxValue</definition>
        <argsstring />
        <name>gattDbMaxValue</name>
        <briefdescription>
<para>Maximum characteristic value length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="303" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="303" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT database information parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="737">
        <label>cy_stc_ble_gatts_db_t</label>
        <link refid="structcy__stc__ble__gatts__db__t" />
        <childnode refid="738" relation="usage">
          <edgelabel>attValue</edgelabel>
        </childnode>
      </node>
      <node id="738">
        <label>cy_stc_ble_gatts_att_value_t</label>
        <link refid="unioncy__stc__ble__gatts__att__value__t" />
        <childnode refid="739" relation="usage">
          <edgelabel>attFormatValue</edgelabel>
        </childnode>
      </node>
      <node id="739">
        <label>cy_stc_ble_gatts_att_pack_val_len_t</label>
        <link refid="structcy__stc__ble__gatts__att__pack__val__len__t" />
        <childnode refid="740" relation="usage">
          <edgelabel>attGenericValLen</edgelabel>
        </childnode>
      </node>
      <node id="736">
        <label>cy_stc_ble_gatts_db_info_t</label>
        <link refid="structcy__stc__ble__gatts__db__info__t" />
        <childnode refid="737" relation="usage">
          <edgelabel>gattDbPtr</edgelabel>
        </childnode>
      </node>
      <node id="740">
        <label>cy_stc_ble_gatts_att_gen_val_len_t</label>
        <link refid="structcy__stc__ble__gatts__att__gen__val__len__t" />
      </node>
    </collaborationgraph>
    <location bodyend="305" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" bodystart="294" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_db.h" line="295" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatts__db__info__t_1afed59aad4af8a805dd24364b5096e82b" virt="non-virtual"><scope>cy_stc_ble_gatts_db_info_t</scope><name>gattDbMaxValue</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__db__info__t_1ac054092b0539a1f49b6f606ff0b22c58" virt="non-virtual"><scope>cy_stc_ble_gatts_db_info_t</scope><name>gattDbPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__db__info__t_1a0e34293f517076794775d18a7391d64b" virt="non-virtual"><scope>cy_stc_ble_gatts_db_info_t</scope><name>gattDbTotalEntries</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>